Description
Modificare nei teachers la subject taught a riferimento ad un'altra tabella (subjects)

Associated revisions

Revision 875749a9 - 07/02/2016 11:46 AM - Marco Marinello

Aggiunta tabella materie
refs #61

Revision a4ca567e - 07/02/2016 11:47 AM - Marco Marinello

Aggiunta materie a modelli amministrati
refs #61

Revision 7f71987b - 07/02/2016 11:47 AM - Marco Marinello

Ricreazione migrazioni
refs #61

Revision a67e30c2 - 07/02/2016 11:48 AM - Marco Marinello

Aggiornamento locale
refs #61

History

#1 - 07/02/2016 11:49 AM - Marco Marinello
- Status changed from Nuovo to Risolto

- Resolution set to fixed

Creata tabella, collegata e amministrata

#2 - 07/02/2016 11:50 AM - Marco Marinello

- Status changed from Risolto to Chiuso

#3 - 07/04/2016 09:44 AM - Christopher R. Gabriel
- Status changed from Chiuso to In elaborazione

- Resolution deleted (fixed)

Da revertare e spostare in branch separato, e documentare le motivazioni della scelta.

#4 - 07/04/2016 09:45 AM - Christopher R. Gabriel
- Target version deleted (django1.9)

#5 - 07/04/2016 12:16 PM - Marco Marinello
- Status changed from In elaborazione to Commenti
- Assignee deleted (Marco Marinello)

- Priority changed from Normale to Bassa

Revertate tutte le modifiche in attesa di future decisioni

#6 - 07/04/2016 01:00 PM - Christopher R. Gabriel

- Assignee set to Marco Marinello

Intanto, puoi iniziare a presentare le motivazioni alla base della modifica.

#7 - 07/04/2016 02:32 PM - Marco Marinello

Il campo correlato all'altra tabella consentirebbe di dare uno “standard’ alle materie di insegnamento. Il campo di testo ¢ facilmente “aggirabile’

#8 - 07/04/2016 02:33 PM - Christopher R. Gabriel

E chi compila I'elenco delle materie e decide quali sono? Quindi e' prevista una Many2Many in questa relazione?

#9 - 07/04/2016 02:43 PM - Marco Marinello

Questo bisogna chiederlo agli utenti finali

#10 - 07/04/2016 02:44 PM - Christopher R. Gabriel

E quindi I''mplementazione precedente su cosa era basata? :)

#11 - 07/04/2016 02:47 PM - Christopher R. Gabriel

(in ogni caso, agli utenti finali non chiedi che tipo di relazione va messa sul database, quello lo decidono i tecnici.. agli utenti finali bisogna chiedere il
caso d'uso)

#12 - 07/04/2016 02:51 PM - Marco Marinello

focol
class Subjects (models.Model) :
name = models.CharField(max_length=1024, unique=True, verbose_name=_ ("name"))
focol
class Teacher (models.Model) :

[...]
subject_taught = models.ForeignKey ("hearings.Subjects",
verbose_name=_ ("subject taught"))

#13 - 07/04/2016 02:53 PM - Christopher R. Gabriel

Grazie, ho visto i diff associati al ticket, il commento €' un po' superfluo. Proprio da quel diff la mia domanda: non sono tanto sicuro che una
1-to-many sia la soluzione migliore.

Pero' mancando il caso d'uso specifico, si puo' decidere poco a riguardo.
#14 - 07/04/2016 03:02 PM - Marco Marinello

La situazione dei consigli di classe non varia. Potresti spiegarti un po meglio? Non vedo il problema

#15 - 07/04/2016 03:06 PM - Christopher R. Gabriel

Marco Marinello ha scritto:

La situazione dei consigli di classe non varia.

Cosa c'entrano i consigli di classe?

Potresti spiegarti un po meglio? Non vedo il problema

Il problema: ti ho chiesto se pensavi che una ForeignKey fosse corretta, a me sembra piu' adatta una many2many. Mi rispondi dicendo che lo sanno
gli utenti finali, ma non si parla di quale sia il caso d'uso. Mi rispondi con un diff (inutile).

Ora, per dipanare la questione, e' necessario il caso d'uso, altrimenti non e' dato sapere se €' corretto utilizzata una FK o una Many2Many. Il campo
attuale di testo e' stato fatto proprio per garantire flessibilita e minor sforzo possibile di configurazione, come dai casi d'uso espressi quando fu
implementato. Se il caso d'uso cambia, €' necessario sapere quale sia.

#16 - 12/13/2016 09:07 PM - Marco Marinello

- Assignee changed from Marco Marinello to Christopher R. Gabriel

Se non sbaglio ogni docente ha un record per ogni classe in cui insegna quindi la Many2Many sarebbe inutile.

In una tabella "Subjects" con elementi tipo "ltaliano" "ltaliano e storia" "Matematica" ecc... si collega con una ForeignKey la SubjectTaught alla tabella
ed e risolto. Cid donerebbe pil ordine ed uniformita nel tutto.

Poi magari sarebbe utile sentire I'opinione degli utilizzatori.

#17 - 01/20/2017 01:24 PM - Christopher R. Gabriel
- Assignee deleted (Christopher R. Gabriel)

#18 - 01/20/2017 04:30 PM - Marco Marinello

- Assignee set to Piergiorgio Cemin
